# Flag to check, that you have not fogot to create (rename) config
#
configured: true


# Applications
#
applications:
  - nodeca.core
  - nodeca.users
  - nodeca.forum
  - nodeca.blogs


# Locales
#
locales:

  # Application locale used by default (first enabled one if not set).
  #
  default: en-US

  # # List of enabled locales (all found locales by default).
  # enabled:
  #   - en-US
  #   - en-GB
  #   - ru-RU


#
# Themes whitelist/blacklist
#

# You can specify either whitelist:
#
#   themes:
#     enabled:
#       - deep-purple
#       - pink-floyd
#
# or blacklist of enabled themes:
#
#   themes:
#     disabled:
#       - yellow-submarine
#
# All available themes are enabled by default, when no whitelist or blacklist
# specified. When both white and black lists are provided, whitelist is used.


# Options - different kind of constants, to keep root space clear
#
options:

  # Recaptcha keys. Replace with your own
  #
  recaptcha:
    private_key: 6LdSINcSAAAAABs6duZAvnuN2-PwceqKqZMMFEt2
    public_key: 6LdSINcSAAAAAPUJnsQreWd-lT-ILxnoIWwLAepO


# Listening options
#
bind:
  default:
    listen: 0.0.0.0:3000

  # SYNOPSIS:
  #
  # <apiPath>:
  #   mount: [<proto>:][//<host>[:<port>]][/<path>]
  #   listen: <address>[:<port = 80>]
  #   ssl:
  #     key:  /path/to/file.key   # Path might be absolute
  #     cert: /path/to/file.cert  # or relative to the root
  #     pfs:  /path/to/file.pfx   # of main nodeca application
  #
  # SSL EXAMPLE:
  #
  # default:
  #   listen: 0.0.0.0:3000
  #   mount:  https://localhost:3000
  #   ssl:
  #     key:  ./etc/server.key
  #     cert: ./etc/server.cert
  #
  forum:
    mount: /forum

  forum.index:
    mount: /
